/* tslint:disable:no-unused-variable */
import { TextareaComponent } from './textarea.component';

export class MockInjector {
  get = jest.fn();
}

// tslint:disable-next-line: max-classes-per-file
export class MockChangeDetectorRef {
  markForCheck = jest.fn();
  detach = jest.fn();
  detectChanges = jest.fn();
  reattach = jest.fn();
  checkNoChanges = jest.fn();
}

describe('TextareaComponent', () => {
  let component: TextareaComponent;
  it('should create', () => {
    component = new TextareaComponent(new MockInjector(), new MockChangeDetectorRef());
    expect(component).toBeTruthy();
  });
});
